Package org.opensaml.messaging.pipeline.httpclient

# Interface HttpClientMessagePipeline

All Superinterfaces:
  `MessagePipeline`

All Known Implementing Classes:
  `BasicHttpClientMessagePipeline`

public interface HttpClientMessagePipeline extends MessagePipeline
Specialization of `MessagePipeline` which narrows the type of allowed encoders and decoders.

## Method Summary

Modifier and Type
Method
Description
`HttpClientResponseMessageDecoder`
`getDecoder()`
Get the message decoder instance.
`HttpClientRequestMessageEncoder`
`getEncoder()`
Get the message encoder instance.

### Methods inherited from interface org.opensaml.messaging.pipeline.MessagePipeline

`getInboundMessageHandler, getOutboundPayloadMessageHandler, getOutboundTransportMessageHandler`

## Method Details

### getEncoder

@Nonnull HttpClientRequestMessageEncoder getEncoder()
Get the message encoder instance.

Narrows the super-interface return type to `HttpClientRequestMessageEncoder`.

Specified by:
  `getEncoder` in interface `MessagePipeline`
Returns:
  the message encoder

### getDecoder

@Nonnull HttpClientResponseMessageDecoder getDecoder()
Get the message decoder instance.

Narrows the super-interface return type to `HttpClientResponseMessageDecoder`.

Specified by:
  `getDecoder` in interface `MessagePipeline`
Returns:
  the message decoder